anacron (2.3-45ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130106). Remaining changes:
    - d/{cron.d,anacrontab}: do not override PATH (LP #1779767)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 31 Oct 2025 12:10:46 +0300

anacron (2.3-45) unstable; urgency=medium

  * d/salsa-ci.yml: Enable salsa pipeline for autopkgtest
  * d/tests: Add autopkgtest
  * readtab.c: Fix opened directory for #870881
  * matchrx.c: Free allocated memory before return to fix memory leaks
  * readtab.c: Free allocated memory and return to avoid running jobs
    with unknown period names (See #920181)

 -- Lance Lin <lq27267@gmail.com>  Fri, 24 Oct 2025 21:49:30 +0700

anacron (2.3-44) unstable; urgency=medium

  * d/copyright: Update for debian/* copyright to include 2025
  * d/source/local-patch-header: Add Last-Update field for latest
    updates to single-debian-patch
  * d/control: Update standards version to 4.7.2
  * readtab.c, lock.c: Support @daily and @weekly symbols (Closes: #920181)
  * global.h, main.c, readtab.c: Add option to list obsolete timestamp files
    for an anacrontab file and spool directory respectively (See #870881)
  * anacrontab.5, anacron.8: Update manpages

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Oct 2025 19:48:08 +0700

anacron (2.3-43ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2114009). Remaining changes:
    - d/{cron.d, anacrontab}: do not override PATH

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Wed, 11 Jun 2025 14:11:30 -0700

anacron (2.3-43) unstable; urgency=medium

  [ Christian Goeschel Ndjomouo ]
  * global.h, runjob.c: Clean up temporary files (Closes: #1092269)

  [ наб ]
  * d/cron.d: move [ -x test into if so it doesn't fail the job if it
    fails (Closes: #1106000)

 -- Lance Lin <lq27267@gmail.com>  Mon, 02 Jun 2025 18:08:43 +0700

anacron (2.3-42ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:34:05 -0600

anacron (2.3-42) unstable; urgency=medium

  * main.c: Fix FTBFS with GCC-15

 -- Lance Lin <lq27267@gmail.com>  Tue, 25 Feb 2025 19:38:16 +0700

anacron (2.3-41ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 17:04:58 -0600

anacron (2.3-41) unstable; urgency=medium

  * d/control: Update standards version to 4.7.0
  * log.c: Fix conflicting types for built-in function 'log'
  * readtab.c: Remove set but unused 'period_len' and check
    return value of 'fchdir'
  * runjob.c: Remove const for 'putenv' argument, remove unused
    variable 'int r', and replace 'tempnam' usage with 'mkstemp'

 -- Lance Lin <lq27267@gmail.com>  Tue, 24 Dec 2024 21:37:51 +0700

anacron (2.3-40ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
  * Drop workaround for upgrades from 2.3-33 (LP #2006589)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jul 2024 13:21:09 +0100

anacron (2.3-40) unstable; urgency=medium

  [ наб <nabijaczleweli@nabijaczleweli.xyz> ]
  * anacrontab.5: Mention @yearly period_name (Closes: #1067752)

  [ Lance Lin ]
  * d/control, d/README.debian, README: Mention yearly period scheduling
    in documentation
  * d/anacrontab: Add @yearly to default anacrontab
  * d/anacron.0anacron.cron.yearly: Install yearly anacron job
  * d/copyright: Add myself to debian/* copyright for 2024
  * d/s/local-patch-header: Set Forwarded to not-needed, since upstream
    is no longer maintained

 -- Lance Lin <lq27267@gmail.com>  Tue, 26 Mar 2024 21:07:54 +0700

anacron (2.3-39ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:08 +0200

anacron (2.3-39ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
    - Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 17 Nov 2023 11:35:49 +0000

anacron (2.3-39) unstable; urgency=medium

  * d/control: Remove dependency on lsb-base
  * d/patches/0001-Fix-typo-in-log-message-ststus-status.patch:
    + Merge with single-debian-patch
    + runjob.c: Fix typo in log message, ststus to status (Closes: #987153)

 -- Lance Lin <lq27267@gmail.com>  Thu, 28 Sep 2023 20:44:47 +0700

anacron (2.3-38.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Let dh_installsystemd install anacron.timer. (Closes: #1052637)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 25 Sep 2023 15:47:01 +0200

anacron (2.3-38ubuntu1) mantic; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Do not override path in anacrontab and cron.d anymore.
    - Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 13:44:47 -0500

anacron (2.3-38) unstable; urgency=medium

  * anacron.8: Editorial fixes (Closes: #1040885)
  * anacrontab.5: Editorial fixes (Closes: #1040887)

 -- Lance Lin <lq27267@gmail.com>  Thu, 13 Jul 2023 22:21:18 +0700

anacron (2.3-37) unstable; urgency=medium

  * anacron.8: Update manpage
    + Specify crontab for MAILTO variable (Closes: #1031774)
    + Fix formatting (Closes: #964504)

 -- Lance Lin <lq27267@gmail.com>  Wed, 05 Jul 2023 21:59:27 +0700

anacron (2.3-36ubuntu2) lunar; urgency=medium

  * Work around upgrades from 2.3-33 disabling service and timer (LP: #2006589)

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 08 Feb 2023 09:53:26 +0100

anacron (2.3-36ubuntu1) lunar; urgency=low

  * merge from debian unstable. remaining changes:
    - do not override path in anacrontab and cron.d anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 13:50:34 -0800

anacron (2.3-36) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Lance Lin ]
  * Add d/NEWS: (Closes: #1028205)
  * d/control: Bump standards version to 4.6.2
  * d/copyright: Update debian copyright year to 2023

 -- Lance Lin <lq27267@gmail.com>  Wed, 11 Jan 2023 20:32:46 +0700

anacron (2.3-35ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not override PATH in anacrontab and cron.d anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Nov 2022 19:55:32 +0100

anacron (2.3-35) unstable; urgency=medium

  * d/anacron.postrm: delete removal of symlinks (Closes: #1019554)

 -- Lance Lin <lqii254@protonmail.com>  Tue, 20 Sep 2022 20:15:22 +0700

anacron (2.3-34) unstable; urgency=medium

  [ Melvin Vermeeren ]
  * d/anacron.service: add TimeoutStopSec=infinity (Closes: #915379)

 -- Lance Lin <lqi254@protonmail.com>  Thu, 25 Aug 2022 20:19:37 +0700

anacron (2.3-33ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not override PATH in anacrontab and cron.d anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2022 08:20:52 -0700

anacron (2.3-33) unstable; urgency=medium

  * d/anacron.postrm: Add cleanup for dangling symlinks (Closes: #993348)
  * d/control: Update maintainer (Closes: #897138)
  * d/control: Bump standards version to 4.6.1
  * d/copyright: Updated copyright to DEP5 standard

 -- Lance Lin <LQi254@protonmail.com>  Fri, 08 Jul 2022 19:00:22 +0700

anacron (2.3-32ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. (LP: #1977739)  Remaining changes:
    - Do not override PATH in anacrontab and cron.d anymore.
      (LP: 1779767)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 06 Jun 2022 10:05:00 -0300

anacron (2.3-32) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + anacron: Drop versioned constraint on lsb-base in Depends.
    + Remove 2 maintscript entries from 1 files.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Name, Repository.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 14:30:37 +0100

anacron (2.3-31ubuntu2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:40:11 +0100

anacron (2.3-31ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not override PATH in anacrontab and cron.d anymore.

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Dec 2021 10:23:54 -0800

anacron (2.3-31) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + anacron: Drop versioned constraint on debianutils in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 13:36:20 +0100

anacron (2.3-30ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:21 +0200

anacron (2.3-30ubuntu2) hirsute; urgency=medium

  * Do not override PATH in anacrontab and cron.d anymore (LP: #1779767).
    - The latter change is needed because anacron when invoked by cron should
      inherit cron's PATH and not it's cron.d snippet.
    - This does not work on sysvinit, where it will now produce the wrong
      result because it inherits the init script's PATH variable, so it's
      not possible to forward to Debian

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 15 Mar 2021 16:58:18 +0100

anacron (2.3-30) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Add missing colon in closes line.
  * Set upstream metadata fields: Archive.
  * Fix day-of-week for changelog entries 2.1-5.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 06 Feb 2021 14:18:33 +0000

anacron (2.3-29) unstable; urgency=medium

  * QA upload.
  * Demote system-log-daemon to Suggests
  * Drop obsolete pe Replaces
  * Bump debhelper-compat to 12

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jul 2019 21:10:08 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog anacron`.
